Name:       kdevelop-qmljs
Version: 0.0.1_186_g856f95f
Release:    23%{?dist}
License:    GPLv2
Source0:    kdevelop-qmljs-%{version}.tar.gz

Summary:    QML and JavaScript Plugin for KDevelop
URL:        http://kdevelop.org

BuildRequires:  kdevplatform-devel
BuildRequires:  kdevelop-devel 
BuildRequires:  kdevelop-pg-qt-devel

%description
QML and JavaScript language support for KDevelop Integrated Development
Environment.

%prep
%setup -qn kdevelop-qmljs-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ../
popd
make %{?_smp_mflags} -C %{_target_platform} 

%install
make install/fast DESTDIR=${RPM_BUILD_ROOT} -C %{_target_platform}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc COPYING
%{_kde4_libdir}/kde4/kdevqmljslanguagesupport.so
%{_kde4_libdir}/libkdevqmljscompletion.so
%{_kde4_libdir}/libkdevqmljsduchain.so
%{_kde4_libdir}/libkdevqtc-qmlsupport.so
%{_kde4_datadir}/kde4/apps/propertywidgets/README
%{_kde4_datadir}/kde4/apps/propertywidgets/*.qml
%{_kde4_datadir}/kde4/apps/kdevqmljssupport/qmlplugins/*.qml
%{_kde4_datadir}/kde4/apps/kdevqmljssupport/qmlplugins/*.js
%{_kde4_datadir}/kde4/services/kdevqmljssupport.desktop


%changelog
* Wed Jul 16 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_186_g856f95f-23
- Update to latest git snapshot

* Tue Jul 15 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_185_g1b7d05b-22
- Update to latest git snapshot

* Tue Jul 15 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_185_g1b7d05b-21
- Update to latest git snapshot

* Tue Jul 15 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_185_g1b7d05b-20
- Update to latest git snapshot

* Tue Jun 24 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_119_gf2f8002-19
- Update to latest git snapshot

* Tue Jun 24 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_119_gf2f8002-18
- Update to latest git snapshot

* Tue Jun 24 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_119_gf2f8002-17
- Update to latest git snapshot

* Fri Jun 13 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_102_g3bdf0da-16
- Update to latest git snapshot

* Fri May 30 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_50_gd474350-15
- Update to latest git snapshot

* Fri May 30 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_50_gd474350-14
- Update to latest git snapshot

* Mon May 12 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_23_g72cdd29-13
- Update to latest git snapshot

* Mon May 12 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_23_g72cdd29-12
- Update to latest git snapshot

* Mon May 05 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_21_g3fd1f2c-11
- Update to latest git snapshot

* Tue Apr 15 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_13_gfd487d2-10
- Update to latest git snapshot

* Mon Apr 14 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_11_g218866c-9
- Update to latest git snapshot

* Mon Apr 14 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_11_g218866c-8
- Update to latest git snapshot

* Mon Apr 07 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_5_g244f811-7
- Update to latest git snapshot

* Mon Mar 03 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1-6
- Update to latest git snapshot

* Wed Feb 19 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1-5
- Update to latest git snapshot

* Tue Feb 18 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1-4
- Update to latest git snapshot

* Mon Feb 03 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1-3
- Update to latest git snapshot

* Mon Jan 27 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1-2
- Update to latest git snapshot

* Mon Jan 27 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1-1
- Initial package
